org.apache.maven.cli.compat

## Class CompatibleMain

- java.lang.Object
- - org.apache.maven.cli.compat.CompatibleMain

    public class CompatibleMain
    extends java.lang.Object

Main class used to shield the user from the rest of Maven in the event the user is using JDK < 1.5.

Since:
  2.2.0

### Constructor Summary

Constructors
Constructor and Description
`CompatibleMain()`

### Method Summary

Methods
`static void` `main(java.lang.String[] args)`
`static int` `main(java.lang.String[] args, ClassWorld classWorld)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompatibleMain

    public CompatibleMain()

### Method Detail

#### main

    public static void main(java.lang.String[] args)

#### main

    public static int main(java.lang.String[] args,
           ClassWorld classWorld)